#! /bin/sh
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian GNU/Linux
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
#
# This file was automatically customized by dh-make on Fri, 16 Feb 2001 15:38:18 +0100

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="iptables"
NAME="iptables-utils"

test -f $DAEMON || exit 0

set -e

case "$1" in
  start|restart)
	echo -n "Starting $DESC: "
	/sbin/iptables-restore < /etc/iptables.conf
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	echo "$NAME (doing nothing)."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart}" >&2
	exit 1
	;;
esac

exit 0
